package ejbs;

import entities.Employee;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class MergeReferenceNoCascadeBean implements MergeReferenceNoCascadeRemote {
    
    @PersistenceContext(unitName="merge-no-cascade")
    EntityManager em;
    
    public MergeReferenceNoCascadeBean() {
    }

    public void mergeEmployee(Employee emp) {
        em.merge(emp);
    }

    public void persistEmployee(Employee emp) {
        em.persist(emp);
    }
        
}
