package entities;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToOne;

@Entity
public class Cubicle implements Serializable {

    @Id
    private Integer primKey;

    @OneToOne(mappedBy="cubicle")
    private Employee employee;
    private String code;
            
    public Cubicle() {
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.getPrimKey() != null ? this.getPrimKey().hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Cubicle)) {
            return false;
        }
        Cubicle other = (Cubicle)object;
        if (this.getPrimKey() != other.getPrimKey() && (this.getPrimKey() == null || !this.getPrimKey().equals(other.getPrimKey()))) return false;
        return true;
    }

    public String toString() {
        return "entities.Cubicle[id=" + getPrimKey() + "]";
    }

    public Employee getEmployee() {
        return employee;
    }

    public void setEmployee(Employee employee) {
        this.employee = employee;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getPrimKey() {
        return primKey;
    }

    public void setPrimKey(Integer primKey) {
        this.primKey = primKey;
    }
    
}
